%define	modname		nvidiabl
%define git		1a18850
%define _version	v0.87
%define _gitauthor	guillaumezin

Name:		dkms-%{modname}
Version:	0.87
Release:	%mkrel 2
Summary:	DKMS-ready driver for nvidia display back-lights
License:	GPLv2+
Url:		https://github.com/guillaumezin/nvidiabl
Source0:	%{modname}-%{version}.tar.xz
###Patch0:		%{modname}-dkmsconf.patch
Patch1:		pclos-nvidiabl-kernel-models-module.patch
Group:		System/Kernel and hardware
Requires(pre):	dkms
Requires(post): dkms
####Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains a DKMS-ready driver for nvidia laptop 
display back-lights.

This driver drives the smartdimmer register found on modern mobile
Nvidia graphics adapters such as NV40, NV41, NV43, NV44, NV46, NV47,
NV49, NV4B, C51, G84, G86, G92, G94, G96, GT200 architectures to adjust
the display backlight.

On Apple machines this driver allows more fine-grained brightness
adjustment than the mbp-nvidia-bl-dkms (mbp_nvidia_bl) driver and is
generally preferred.

Knowing maybe work's on:
"Sony Corporation", "VGN-AW11","VGN-AW290J","VGN-FZ11","VGN-FZ31",
"VGN-FZ38","VPCCW1","VPCCW2","VPCS1","VGN-S560","VPCF1"

"Dell Inc.", "Inspiron 1370","Vostro 3400","Vostro 3500","Latitude E6530"

"SAMSUNG ELECTRONICS CO., LTD.", "N510","SR70S/SR71S","Q430/Q530","R510/P510",
"RV409/RV509/RV709","RV420/RV520/RV720/E3530/S3530/E3420/E3520",

"TOSHIBA", "SATELLITE PRO U500","SATELLITE L750","SATELLITE L755"

"Apple Inc.", "MacBook5,1","MacBook5,2","MacBook6,1","MacBook7,1","MacBookPro3,1",
"MacBookPro3,2","MacBookPro4,1","MacBookPro5,2","MacBookPro5,4","MacBookPro5,5",
"MacBookPro7,1","MacBookAir2,1","MacBookAir3,1","MacBookAir3,2"

"LENOVO", "4313CTO","4270CTO","42844MG","9523","20192","QIQY5","20193"

"LG Electronics", "R590-P.BN58P1","R590-K.BE52P1","R580-K.AHC4WA9",

"ASUSTeK COMPUTER INC.", "G75VW","G75VX","G74Sx","G55VW","G55VW",

"Compal", "PBL01","QAL51",

"Quanta", "TW9",

"FUJITSU", "AMILO Pi 3560",

"Acer", "TravelMate 8481TG",

"Hewlett-Packard", "HP Pavilion dv3500 Notebook PC",

%prep
%setup -q -n %{modname}-%{version}
#mv %{_gitauthor}-%{modname}-%{git}/* .
#rmdir %{_gitauthor}-%{modname}-%{git}
#%patch0 -p1 -b .dkmsconf
#chmod -R go=u-w .
find -type f -exec chmod 0644 {} \;

%build

%install
mkdir -p %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
cp -a * %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}
%__cat <<EOF > %{buildroot}%{_usrsrc}/%{modname}-%{version}-%{release}/dkms.conf
DEST_MODULE_LOCATION[0]="/kernel/drivers/video/backlight"
PACKAGE_NAME="%{modname}"
PACKAGE_VERSION="%{version}-%{release}"
CLEAN="make clean"
BUILT_MODULE_NAME[0]="%{modname}"
BUILT_MODULE_LOCATION="./"
MAKE[0]="'make' SKIP_STACK_VALIDATION=1 all"
REMAKE_INITRD="no"
AUTOINSTALL="yes"
EOF

%post
cat <<EOF >> /etc/modprobe.d/blacklist
blacklist nvidia_bl
blacklist nvbacklight
blacklist mbp_nvidia_bl
EOF
rmmod nvidia_bl >/dev/null 2>&1
rmmod nvbacklight >/dev/null 2>&1
rmmod mbp_nvidia_bl >/dev/null 2>&1

/usr/sbin/dkms add -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms build -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade
/usr/sbin/dkms install -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade


%preun
rmmod %{modname}
/usr/sbin/dkms remove -m %{modname} -v %{version}-%{release} --rpm_safe_upgrade --all

sed -i '/nvidia_bl/ d' /etc/modprobe.d/blacklist
sed -i '/nvbacklight/ d' /etc/modprobe.d/blacklist
sed -i '/mbp_nvidia_bl/ d' /etc/modprobe.d/blacklist

%files
%{_usrsrc}/%{modname}-%{version}-%{release}

%changelog
* Mon Mar 30 2020 onkelho <oh.quait at gmail.com> - 0.87-2pclos2020
- rebuild against updates

* Sun Nov 11 2018 onkelho <oh.quait at gmail.com> 0.87-1pclos2018
- new version, impoted from mga-cauldron

